Get conversation messages
curl --request GET \
--url https://sandbox.tight.com/v6/conversations/{id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.tight.com/v6/conversations/{id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.tight.com/v6/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "msg_67890",
"conversationId": "<string>",
"author": {
"userId": "<string>",
"email": "user@example.com"
},
"text": "Let's discuss the new feature requirements",
"status": "ACTIVE",
"createdDateTime": "2023-11-07T05:31:56Z",
"lastUpdatedDateTime": "2023-11-07T05:31:56Z",
"reactions": [
{
"authorInfo": [
{
"userId": "<string>",
"email": "user@example.com"
}
]
}
],
"attachments": [
{
"id": "att_894321",
"url": "https://files.example.com/attachment/receipt.pdf",
"fileName": "receipt.pdf",
"fileSize": "24 KB",
"createdDateTime": "2023-11-07T05:31:56Z",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
}
]
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Conversations
Get conversation messages
Get messages for the given conversation
GET
/
v6
/
conversations
/
{id}
/
messages
Get conversation messages
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Path Parameters
The id of the conversation
Query Parameters
Cursor from the previous paginated response
Page size, i.e. number of items to return per page
Required range:
x <= 250Response
Success
The result of the action performed.
Available options:
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes
Show child attributes
⌘I